import * as React from 'react';
import { ButtonDeprecatedBaseProps } from '../ButtonDeprecatedBase';
export type AccordionButtonSize = 'normal' | 'large';
export type AccordionButtonTheme = 'blue' | 'plain' | 'yellow';
export type AccordionButtonDeprecatedProps = ButtonDeprecatedBaseProps & {
    /**
     * Whether the button should display as open or closed.
     */
    expanded?: boolean;
    /**
     * Determines the size of the button.
     */
    size?: 'normal' | 'large';
    /**
     * Visual theme for the clickable header button.
     */
    theme?: 'blue' | 'plain' | 'yellow';
};
/**
 * @deprecated
 * This component is in the old visual identity and will be updated soon.
 *
 * Check the [Gamut Board](https://www.notion.so/codecademy/Gamut-Status-Timeline-dd3c135d3848464ea6eb1b48e68fbb1d) for component status
 */
export declare const AccordionButtonDeprecated: React.FC<AccordionButtonDeprecatedProps>;
