import { system } from '@codecademy/gamut-styles';
import { variance } from '@codecademy/variance';
export var boxProps = variance.compose(system.space, system.border, system.layout, system.color, system.shadow, system.positioning, system.background, system.typography, system.flex, system.grid, system.list);
export var sharedStates = system.states({
  fit: {
    width: 1,
    height: 1
  },
  context: {
    position: 'relative',
    zIndex: 1
  },
  'no-select': {
    WebkitTouchCallout: 'none',
    userSelect: 'none'
  }
});
export var flexStates = system.states({
  inline: {
    display: 'inline-flex'
  },
  wrap: {
    flexWrap: 'wrap'
  },
  center: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  row: {
    flexDirection: 'row'
  },
  column: {
    flexDirection: 'column'
  }
});
export var gridStates = system.states({
  center: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  fitContent: {
    gridTemplate: 'minmax(0, 1fr) / minmax(0, 1fr)'
  }
});