import { GamutIconProps } from '@codecademy/gamut-icons';
import * as React from 'react';
import { ButtonBaseElements } from '../ButtonBase/ButtonBase';
import { ButtonProps } from './shared';
export interface IconButtonProps extends ButtonProps {
    'aria-label': string;
    icon: React.ComponentType<GamutIconProps>;
}
export declare const IconButton: React.ForwardRefExoticComponent<Pick<IconButtonProps, keyof IconButtonProps> & React.RefAttributes<ButtonBaseElements>>;
