function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/* eslint-disable react/destructuring-assignment */
import cx from 'classnames';
import { hasIn } from 'lodash';
import * as React from 'react';
import { ButtonDeprecatedBase } from '../ButtonDeprecatedBase';
import { omitProps } from '../utils/omitProps';
// eslint-disable-next-line gamut/no-css-standalone
import styles from './styles/index.module.scss';

// themes can be an alias to a color
// or a unique button type
import { jsx as _jsx } from "react/jsx-runtime";
export var buttonPresetThemes = {
  secondary: 'mint',
  platform: 'greyblue',
  lantern: 'darkmint',
  royalblue: 'brand-purple'
};
var themes = ['hyper', 'navy', 'red', 'white', 'brand-red', 'brand-yellow', 'brand-purple', 'brand-dark-blue', 'brand-blue', 'mint', 'darkmint', 'grey', 'greyblue'];
var propKeys = ['theme', 'size', 'outline', 'underline', 'link', 'caps', 'go', 'children', 'block', 'className', 'round', 'square', 'flat', 'fitText', 'onClick'];
var isPreset = function isPreset(theme) {
  return hasIn(buttonPresetThemes, theme);
};

/**
 * @deprecated
 * This component is deprecated and is no longer supported.
 *
 * See [FillButon](https://gamut.codecademy.com/storybook/?path=/docs/atoms-button--fill-button#fill-button)
 *
 * @example
 * import { FillButton } fom '@codecademy/gamut';
 *
 * <FillButton variant="primary" />
 */

export var ButtonDeprecated = function ButtonDeprecated(props) {
  var _cx;
  var _props$theme = props.theme,
    theme = _props$theme === void 0 ? 'brand-red' : _props$theme;
  if (isPreset(theme)) {
    theme = buttonPresetThemes[theme];
  }
  var typeClassName = props.link ? styles.link : styles.btn;
  var themeClassName = props.link ? styles["link-".concat(theme)] : styles["btn-".concat(theme)];
  var classes = cx(typeClassName, themeClassName, styles[props.size], (_cx = {}, _defineProperty(_cx, styles.block, props.block), _defineProperty(_cx, styles.go, props.go), _defineProperty(_cx, styles.outline, props.outline), _defineProperty(_cx, styles.underline, props.underline), _defineProperty(_cx, styles.caps, props.caps), _defineProperty(_cx, styles.round, props.round), _defineProperty(_cx, styles.square, props.square), _defineProperty(_cx, styles.flat, props.flat), _defineProperty(_cx, styles['fit-text'], props.fitText), _cx), props.className);
  var propsToTransfer = omitProps(propKeys, props);
  return /*#__PURE__*/_jsx(ButtonDeprecatedBase, _objectSpread(_objectSpread({}, propsToTransfer), {}, {
    className: classes,
    link: props.link,
    onClick: props.onClick,
    children: props.children
  }));
};