function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import * as React from 'react';
import { Controller } from 'react-hook-form';
import { Checkbox } from '../..';
import { useField } from '..';
import { jsx as _jsx } from "react/jsx-runtime";
export var ConnectedCheckbox = function ConnectedCheckbox(_ref) {
  var className = _ref.className,
    disabled = _ref.disabled,
    id = _ref.id,
    label = _ref.label,
    multiline = _ref.multiline,
    name = _ref.name,
    onUpdate = _ref.onUpdate,
    spacing = _ref.spacing;
  var _useField = useField({
      name: name,
      disabled: disabled
    }),
    isDisabled = _useField.isDisabled,
    control = _useField.control,
    validation = _useField.validation,
    isRequired = _useField.isRequired;
  return /*#__PURE__*/_jsx(Controller, {
    name: name,
    control: control,
    defaultValue: false,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        onBlur = _ref2$field.onBlur,
        _onChange = _ref2$field.onChange,
        ref = _ref2$field.ref;
      return /*#__PURE__*/_jsx(Checkbox, _objectSpread({
        checked: value,
        className: className,
        disabled: isDisabled,
        htmlFor: name,
        name: name,
        onChange: function onChange(event) {
          onUpdate === null || onUpdate === void 0 ? void 0 : onUpdate(event.target.checked);
          _onChange === null || _onChange === void 0 ? void 0 : _onChange(event.target.checked);
        },
        onBlur: onBlur,
        label: label,
        multiline: multiline,
        id: id,
        "aria-required": isRequired,
        spacing: spacing
      }, ref));
    },
    rules: validation
  });
};