function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { MiniDeleteIcon } from '@codecademy/gamut-icons';
import { Background } from '@codecademy/gamut-styles';
import * as React from 'react';
import { IconButton } from '../Button';
import { Drawer } from '../Drawer';
import { Overlay } from '../Overlay';
import { Text } from '../Typography';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var Flyout = function Flyout(_ref) {
  var children = _ref.children,
    closeLabel = _ref.closeLabel,
    expanded = _ref.expanded,
    _ref$openFrom = _ref.openFrom,
    openFrom = _ref$openFrom === void 0 ? 'left' : _ref$openFrom,
    onClose = _ref.onClose,
    title = _ref.title,
    _ref$bg = _ref.bg,
    bg = _ref$bg === void 0 ? 'background' : _ref$bg;
  return /*#__PURE__*/_jsx(Overlay, {
    clickOutsideCloses: true,
    escapeCloses: true,
    isOpen: expanded,
    onRequestClose: onClose,
    shroud: true,
    children: /*#__PURE__*/_jsx(Background, {
      bg: bg,
      children: /*#__PURE__*/_jsxs(Drawer, _objectSpread(_objectSpread({
        bottom: 0,
        display: "flex",
        expanded: expanded,
        flexDirection: openFrom === 'left' ? 'row' : 'row-reverse',
        position: "fixed",
        top: 0
      }, _defineProperty({}, openFrom, 0)), {}, {
        children: [/*#__PURE__*/_jsx(Text, {
          as: "h2",
          fontSize: 22,
          mb: 8,
          ml: 16,
          mt: 24,
          mr: 40,
          maxWidth: "100%",
          children: title
        }), /*#__PURE__*/_jsx(IconButton, {
          "aria-label": closeLabel,
          icon: MiniDeleteIcon,
          onClick: onClose,
          position: "absolute",
          top: "1rem",
          right: "0.5rem"
        }), children]
      }))
    })
  });
};