function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import * as React from 'react';
import { FocusOn } from 'react-focus-on';
import { jsx as _jsx } from "react/jsx-runtime";
var focusOnStyles = {
  /**
   * Prevent the focus-on wrapper from interfering with parent layout
   */
  display: 'contents'
};
export var FocusTrap = function FocusTrap(_ref) {
  var className = _ref.className,
    children = _ref.children,
    onClickOutside = _ref.onClickOutside,
    onEscapeKey = _ref.onEscapeKey,
    _ref$active = _ref.active,
    active = _ref$active === void 0 ? true : _ref$active,
    _ref$allowPageInterac = _ref.allowPageInteraction,
    allowPageInteraction = _ref$allowPageInterac === void 0 ? false : _ref$allowPageInterac,
    focusOnProps = _ref.focusOnProps;
  return /*#__PURE__*/_jsx(FocusOn, _objectSpread(_objectSpread({
    enabled: active,
    onClickOutside: onClickOutside,
    onEscapeKey: onEscapeKey,
    style: focusOnStyles,
    className: className,
    scrollLock: !allowPageInteraction,
    noIsolation: allowPageInteraction,
    "data-testid": "focus-trap"
  }, focusOnProps), {}, {
    children: children
  }));
};