import { HTMLAttributes, InputHTMLAttributes } from 'react';
import * as React from 'react';
export type RadioGroupProps = Omit<HTMLAttributes<HTMLDivElement>, 'onChange'> & Pick<InputHTMLAttributes<HTMLInputElement>, 'onChange' | 'disabled'> & {
    /**
     * @remarks This is meant to be `Radio`s.
     */
    children: any[];
    htmlForPrefix?: string;
    name?: string;
    selected?: string;
};
export declare const RadioGroup: React.FC<RadioGroupProps>;
