import { SelectOptionBase } from '../utils';
import { BaseOnChangeProps, ExtendedOption, MultiSelectDropdownProps, SelectDropdownGroup, SelectDropdownProps, SingleSelectDropdownProps } from './types';
export declare const isMultipleSelectProps: (props: BaseOnChangeProps) => props is MultiSelectDropdownProps;
export declare const isSingleSelectProps: (props: BaseOnChangeProps) => props is SingleSelectDropdownProps;
export declare const isOptionGroup: (obj: any) => obj is SelectDropdownGroup;
export declare const filterValueFromOptions: (options: SelectOptionBase[] | SelectDropdownGroup[], value: SelectDropdownProps['value'], optionsAreGrouped: boolean) => ExtendedOption[] | SelectOptionBase[];
export declare const removeValueFromSelectedOptions: (selectedOptions: ExtendedOption[] | SelectOptionBase[], value: SelectDropdownProps['value']) => SelectOptionBase[];
