import { StyleProps } from '@codecademy/variance';
import { TextareaHTMLAttributes } from 'react';
import { conditionalStyles } from './styles';
export type TextWrapperProps = TextareaHTMLAttributes<HTMLTextAreaElement> & {
    className?: string;
    error?: boolean;
    htmlFor?: string;
    name?: string;
    required?: boolean;
    value?: string;
};
export interface TextAreaProps extends TextWrapperProps, StyleProps<typeof conditionalStyles> {
}
export declare const TextArea: import("react").ForwardRefExoticComponent<TextareaHTMLAttributes<HTMLTextAreaElement> & {
    className?: string | undefined;
    error?: boolean | undefined;
    htmlFor?: string | undefined;
    name?: string | undefined;
    required?: boolean | undefined;
    value?: string | undefined;
} & import("react").RefAttributes<HTMLTextAreaElement>>;
