function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { system, theme, transitionConcat } from '@codecademy/gamut-styles';
import { formBaseStyles, formFieldBaseDisabledStyles, InputSelectors } from '.';
export var checkboxLabel = system.css(_objectSpread({
  display: 'flex',
  alignItems: 'flex-start',
  cursor: 'pointer',
  m: 4,
  px: 0,
  py: 16
}, formBaseStyles));
export var checkboxLabelStates = system.states({
  disabled: {
    cursor: 'not-allowed'
  }
});
export var checkboxPadding = system.variant({
  defaultVariant: 'base',
  prop: 'spacing',
  variants: {
    base: {
      py: 16
    },
    tight: {
      py: 4
    }
  }
});
export var checkboxElement = system.css(_defineProperty({
  position: 'relative',
  mr: 8,
  minWidth: 22,
  width: 22,
  height: 22,
  borderWidth: '2px',
  borderStyle: 'solid',
  borderColor: 'currentColor',
  transition: transitionConcat(['transform', 'outline', 'background-color', 'box-shadow'], 'slow', 'ease-in-out')
}, InputSelectors.HOVER, {
  outline: "2px solid   ".concat(theme.colors.primary),
  outlineOffset: '2px'
}));
export var polyline = system.css({
  color: 'shadow-opaque'
});
export var checkboxTextStates = system.states({
  multiline: {
    fontSize: 14
  },
  disabled: formFieldBaseDisabledStyles
});
export var checkboxElementStates = system.states({
  multiline: {
    mt: 4
  },
  checked: {
    color: 'primary'
  },
  disabled: _defineProperty({
    color: 'text-disabled'
  }, InputSelectors.HOVER, {
    outline: 'none'
  })
});
export var checkboxInput = system.css(_defineProperty({}, InputSelectors.FOCUS_LABEL_DIV_CHILD, {
  outline: "2px solid ".concat(theme.colors.primary),
  outlineOffset: '2px'
}));