/// <reference types="react" />
import { OptionStrict, SelectDropdownOptions, SelectDropdownSizes } from './SelectDropdown';
export interface SelectOptionBase extends OptionStrict, SelectDropdownSizes {
    key?: string;
}
export interface ParseSelectOptionProps extends SelectDropdownSizes {
    id?: string | number;
    options?: SelectDropdownOptions;
}
export interface ParseOptionProps extends ParseSelectOptionProps {
    labelAsKey?: boolean;
}
export declare const parseOptions: ({ options, id, size, labelAsKey, }: ParseOptionProps) => SelectOptionBase[];
export declare const parseSelectOptions: (props: ParseSelectOptionProps) => JSX.Element[];
