function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { each, isObject } from 'lodash';
import { jsx as _jsx } from "react/jsx-runtime";
var formatAsOptions = function formatAsOptions(_ref) {
  var label = _ref.label,
    value = _ref.value,
    key = _ref.key;
  var option = key ? /*#__PURE__*/_jsx("option", {
    label: label,
    value: value,
    "data-testid": key,
    children: label
  }, key) : /*#__PURE__*/_jsx("option", {
    label: value,
    value: value,
    "data-testid": label,
    children: value
  }, label);
  return option;
};
export var parseOptions = function parseOptions(_ref2) {
  var options = _ref2.options,
    id = _ref2.id,
    size = _ref2.size,
    labelAsKey = _ref2.labelAsKey;
  var parsedOptions = [];
  if (Array.isArray(options)) {
    options.forEach(function (value) {
      if (isObject(value)) {
        var key = id ? "".concat(id, "-").concat(value === null || value === void 0 ? void 0 : value.value) : value === null || value === void 0 ? void 0 : value.value;
        parsedOptions.push(_objectSpread(_objectSpread({}, value), {}, {
          key: key,
          size: size
        }));
      } else {
        var label = id && labelAsKey ? "".concat(id, "-").concat(value) : value;
        parsedOptions.push({
          label: label,
          value: value
        });
      }
    });
  } else if (isObject(options)) {
    each(options, function (label, value) {
      var key = id ? "".concat(id, "-").concat(value) : value;
      parsedOptions.push({
        label: label.toString(),
        value: value,
        key: key
      });
    });
  }
  return [].concat(parsedOptions);
};
export var parseSelectOptions = function parseSelectOptions(props) {
  return parseOptions(_objectSpread(_objectSpread({}, props), {}, {
    labelAsKey: true
  })).map(formatAsOptions);
};