import * as React from 'react';
import { Controller } from 'react-hook-form';
import { Checkbox } from '../../../Form';
import { jsx as _jsx } from "react/jsx-runtime";
export var GridFormCheckboxInput = function GridFormCheckboxInput(_ref) {
  var className = _ref.className,
    field = _ref.field,
    required = _ref.required,
    disabled = _ref.disabled,
    error = _ref.error;
  return /*#__PURE__*/_jsx(Controller, {
    defaultValue: Boolean(field.defaultValue),
    name: field.name,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        onBlur = _ref2$field.onBlur,
        _onChange = _ref2$field.onChange,
        name = _ref2$field.name;
      return /*#__PURE__*/_jsx(Checkbox, {
        "aria-invalid": error,
        "aria-required": required,
        checked: value,
        className: className,
        disabled: disabled,
        htmlFor: name,
        id: field.id,
        label: field.description,
        multiline: field.multiline,
        name: name,
        onBlur: onBlur,
        onChange: function onChange(event) {
          var _field$onUpdate;
          (_field$onUpdate = field.onUpdate) === null || _field$onUpdate === void 0 ? void 0 : _field$onUpdate.call(field, event.target.checked);
          _onChange === null || _onChange === void 0 ? void 0 : _onChange(event.target.checked);
        },
        spacing: field === null || field === void 0 ? void 0 : field.spacing
      });
    },
    rules: field.validation
  });
};