function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { isString } from 'lodash';
import * as React from 'react';
import { Radio, RadioGroup } from '../../../Form';
import { createElement as _createElement } from "react";
import { jsx as _jsx } from "react/jsx-runtime";
export var GridFormRadioGroupInput = function GridFormRadioGroupInput(_ref) {
  var _field$ariaLabel;
  var className = _ref.className,
    disabled = _ref.disabled,
    field = _ref.field,
    register = _ref.register,
    setValue = _ref.setValue,
    required = _ref.required,
    error = _ref.error;
  var ariaLabel = (_field$ariaLabel = field.ariaLabel) !== null && _field$ariaLabel !== void 0 ? _field$ariaLabel : isString(field.label) ? field.label : undefined;
  return /*#__PURE__*/_jsx(RadioGroup, {
    "aria-invalid": error,
    "aria-label": ariaLabel,
    "aria-required": required,
    className: className,
    htmlForPrefix: field.name,
    name: field.name,
    onChange: function onChange(event) {
      var _field$onUpdate;
      var value = event.target.value;
      setValue(field.name, value);
      (_field$onUpdate = field.onUpdate) === null || _field$onUpdate === void 0 ? void 0 : _field$onUpdate.call(field, value);
    },
    role: "radiogroup",
    children: field.options.map(function (_ref2) {
      var label = _ref2.label,
        value = _ref2.value;
      return /*#__PURE__*/_createElement(Radio, _objectSpread(_objectSpread({}, register(field.name, field.validation)), {}, {
        disabled: disabled,
        key: value,
        label: label,
        value: value,
        id: field.id,
        error: error
      }));
    })
  });
};