import * as React from 'react';
import { UseFormReturn } from 'react-hook-form';
import { BaseFormInputProps, GridFormTextAreaField } from '../../types';
export interface GridFormTextAreaProps extends BaseFormInputProps {
    field: Omit<GridFormTextAreaField, 'label'>;
    register: UseFormReturn['register'];
}
export declare const GridFormTextArea: React.FC<GridFormTextAreaProps>;
