import * as React from 'react';
import { useField } from '../../ConnectedForm';
import { GridFormInputGroup } from '../GridFormInputGroup';
import { jsx as _jsx } from "react/jsx-runtime";
export var GridFormContent = function GridFormContent(_ref) {
  var _field$validation;
  var field = _ref.field,
    showRequired = _ref.showRequired;
  var _useField = useField({
      name: field.name,
      disabled: field.disabled
    }),
    error = _useField.error,
    isFirstError = _useField.isFirstError,
    register = _useField.register,
    setValue = _useField.setValue,
    isDisabled = _useField.isDisabled;
  var requiredBoolean = !!(field.type !== 'hidden' && field.type !== 'sweet-container' && (_field$validation = field.validation) !== null && _field$validation !== void 0 && _field$validation.required);
  return /*#__PURE__*/_jsx(GridFormInputGroup, {
    error: error,
    isFirstError: isFirstError,
    isDisabled: isDisabled,
    field: field,
    register: register,
    setValue: setValue,
    required: requiredBoolean,
    showRequired: showRequired
  }, field.name);
};