import * as React from 'react';
import { Column } from '../../Layout/Column';
import { Text } from '../../Typography/Text';
import { jsx as _jsx } from "react/jsx-runtime";
export var GridFormSectionTitle = function GridFormSectionTitle(_ref) {
  var _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'h2' : _ref$as,
    dataTestId = _ref['data-testid'],
    _ref$layout = _ref.layout,
    layout = _ref$layout === void 0 ? 'center' : _ref$layout,
    numberOfFields = _ref.numberOfFields,
    title = _ref.title,
    variant = _ref.variant;
  var size = layout === 'center' ? 12 : 3;
  var rowspan = layout === 'center' ? 1 : numberOfFields;
  return /*#__PURE__*/_jsx(Column, {
    size: {
      _: 12,
      md: size
    },
    gridRowEnd: {
      _: "span 1",
      md: "span ".concat(rowspan)
    },
    "data-testid": dataTestId,
    children: /*#__PURE__*/_jsx(Text, {
      as: as,
      variant: variant,
      children: title
    })
  });
};