import { ArrowChevronDownIcon, ArrowChevronUpIcon } from '@codecademy/gamut-icons';
import * as React from 'react';
import { ButtonDeprecated } from '../../ButtonDeprecated';
// eslint-disable-next-line gamut/no-css-standalone
import styles from './styles.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
export var StepButton = function StepButton(_ref) {
  var type = _ref.type,
    onClick = _ref.onClick,
    labelledBy = _ref.labelledBy;
  var ariaLabel = type === 'up' ? 'add one' : 'subtract one';
  var id = 'stepbtn-' + type;
  return /*#__PURE__*/_jsx(ButtonDeprecated, {
    theme: "brand-dark-blue",
    flat: true,
    type: "button",
    onClick: onClick,
    className: styles.stepButton,
    id: id,
    "aria-label": ariaLabel,
    "aria-labelledby": "".concat(labelledBy, " ").concat(id),
    children: type === 'up' ? /*#__PURE__*/_jsx(ArrowChevronUpIcon, {
      className: styles.stepperUp
    }) : /*#__PURE__*/_jsx(ArrowChevronDownIcon, {
      className: styles.stepperDown
    })
  });
};