/// <reference types="react" />
import { PrivateListProps } from './types';
export interface ListContextProps extends PrivateListProps {
    depth: number;
}
export declare const ListContext: import("react").Context<ListContextProps>;
export declare const ListProvider: import("react").Provider<ListContextProps>;
export declare function useListContext(): ListContextProps;
export declare function useList({ spacing, variant, scrollable, rowBreakpoint, }: PrivateListProps): {
    root: boolean;
    scrollable: boolean | undefined;
    variant: "table" | "default" | "block" | "plain" | "card" | undefined;
    spacing: "normal" | "condensed" | "compact" | undefined;
    rowBreakpoint: "sm" | "xs" | "md" | undefined;
    depth: number;
};
