import { Box } from '../Box';
import { jsx as _jsx } from "react/jsx-runtime";
var imageHeights = {
  small: 225,
  medium: 303.75,
  fluid: 'max-content'
};
export var ImageContainer = function ImageContainer(_ref) {
  var image = _ref.image,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'fluid' : _ref$size;
  return /*#__PURE__*/_jsx(Box, {
    mx: -24,
    overflow: "clip",
    height: imageHeights[size],
    children: image
  });
};