function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { MiniDeleteIcon } from '@codecademy/gamut-icons';
import { useRef, useState } from 'react';
import * as React from 'react';
import { Box } from '../Box';
import { FillButton, IconButton, TextButton } from '../Button';
import { Overlay } from '../Overlay';
import { Text } from '../Typography';
import { ModalContainer } from './elements';
import { ImageContainer } from './ImageContainer';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var Modal = function Modal(_ref) {
  var _ref2;
  var ariaLabel = _ref['aria-label'],
    _ref$ariaLive = _ref['aria-live'],
    ariaLive = _ref$ariaLive === void 0 ? 'polite' : _ref$ariaLive,
    children = _ref.children,
    className = _ref.className,
    _ref$headingLevel = _ref.headingLevel,
    headingLevel = _ref$headingLevel === void 0 ? 'h2' : _ref$headingLevel,
    _ref$hideCloseButton = _ref.hideCloseButton,
    hideCloseButton = _ref$hideCloseButton === void 0 ? false : _ref$hideCloseButton,
    onRequestClose = _ref.onRequestClose,
    _ref$scrollable = _ref.scrollable,
    scrollable = _ref$scrollable === void 0 ? false : _ref$scrollable,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'fluid' : _ref$size,
    title = _ref.title,
    views = _ref.views,
    closeDisabled = _ref.closeDisabled,
    rest = _objectWithoutProperties(_ref, ["aria-label", "aria-live", "children", "className", "headingLevel", "hideCloseButton", "onRequestClose", "scrollable", "size", "title", "views", "closeDisabled"]);
  var buttonRef = useRef(null);
  var _useState = useState(0),
    _useState2 = _slicedToArray(_useState, 2),
    currentView = _useState2[0],
    setCurrentView = _useState2[1];
  var image = (_ref2 = (views === null || views === void 0 ? void 0 : views[currentView].image) || (rest === null || rest === void 0 ? void 0 : rest.image)) !== null && _ref2 !== void 0 ? _ref2 : null;
  return /*#__PURE__*/_jsx(Overlay, _objectSpread(_objectSpread({
    shroud: true,
    onRequestClose: onRequestClose,
    "data-testid": "modal"
  }, rest), {}, {
    children: /*#__PURE__*/_jsxs(ModalContainer, {
      className: className,
      "aria-label": ariaLabel,
      "aria-hidden": "false",
      "aria-modal": "true",
      role: "dialog",
      layout: views && (views === null || views === void 0 ? void 0 : views.length) > 0 ? 'dialog' : 'standard',
      size: size,
      "aria-live": ariaLive,
      children: [(title || (views === null || views === void 0 ? void 0 : views[currentView].title)) && /*#__PURE__*/_jsx(Text, {
        as: headingLevel,
        fontSize: 20,
        lineHeight: "base",
        gridArea: "title",
        "aria-live": "assertive",
        children: title || (views === null || views === void 0 ? void 0 : views[currentView].title)
      }), !hideCloseButton && /*#__PURE__*/_jsx(IconButton, {
        "aria-label": "Close Dialog",
        size: "small",
        alignSelf: "start",
        icon: MiniDeleteIcon,
        onClick: onRequestClose,
        gridArea: "close",
        disabled: closeDisabled,
        ref: buttonRef
      }), /*#__PURE__*/_jsxs(Box, {
        overflowY: scrollable ? 'auto' : 'visible',
        gridArea: "content",
        "data-testid": "modal-content",
        children: [image && size && /*#__PURE__*/_jsx(ImageContainer, {
          image: image,
          size: size
        }), (views === null || views === void 0 ? void 0 : views[currentView].children) || children]
      }), (views === null || views === void 0 ? void 0 : views[currentView].cancelCta) && /*#__PURE__*/_jsx(TextButton, _objectSpread(_objectSpread({}, views === null || views === void 0 ? void 0 : views[currentView].cancelCta), {}, {
        variant: "secondary",
        onClick: function onClick(e) {
          var _views$currentView$ca, _views$currentView$ca2;
          views === null || views === void 0 ? void 0 : (_views$currentView$ca = views[currentView].cancelCta) === null || _views$currentView$ca === void 0 ? void 0 : (_views$currentView$ca2 = _views$currentView$ca.onClick) === null || _views$currentView$ca2 === void 0 ? void 0 : _views$currentView$ca2.call(_views$currentView$ca, e);
          onRequestClose();
        },
        justifySelf: "end",
        gridArea: "cancel"
      })), (views === null || views === void 0 ? void 0 : views[currentView].nextCta) && /*#__PURE__*/_jsx(FillButton, _objectSpread(_objectSpread({}, views === null || views === void 0 ? void 0 : views[currentView].nextCta), {}, {
        variant: "primary",
        onClick: function onClick(e) {
          var _buttonRef$current, _views$currentView$ne, _views$currentView$ne2;
          setCurrentView(currentView + 1);
          (_buttonRef$current = buttonRef.current) === null || _buttonRef$current === void 0 ? void 0 : _buttonRef$current.focus();
          views === null || views === void 0 ? void 0 : (_views$currentView$ne = views[currentView].nextCta) === null || _views$currentView$ne === void 0 ? void 0 : (_views$currentView$ne2 = _views$currentView$ne.onClick) === null || _views$currentView$ne2 === void 0 ? void 0 : _views$currentView$ne2.call(_views$currentView$ne, e);
        },
        gridArea: "confirm"
      })), (views === null || views === void 0 ? void 0 : views[currentView].confirmCta) && /*#__PURE__*/_jsx(FillButton, _objectSpread(_objectSpread({}, views === null || views === void 0 ? void 0 : views[currentView].confirmCta), {}, {
        variant: "primary",
        onClick: function onClick(e) {
          var _views$currentView$co, _views$currentView$co2;
          views === null || views === void 0 ? void 0 : (_views$currentView$co = views[currentView].confirmCta) === null || _views$currentView$co === void 0 ? void 0 : (_views$currentView$co2 = _views$currentView$co.onClick) === null || _views$currentView$co2 === void 0 ? void 0 : _views$currentView$co2.call(_views$currentView$co, e);
        },
        gridArea: "confirm"
      }))]
    })
  }));
};