import { sample } from 'lodash';
import { useMemo } from 'react';
import { FlexBox } from '../..';
import { Text } from '../../Typography';
import { emptyNotificationContents } from './emptyNotificationContents';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var EmptyNotification = function EmptyNotification() {
  var content = useMemo(function () {
    return sample(emptyNotificationContents);
  }, []);
  var Image = content.image;
  return /*#__PURE__*/_jsxs(FlexBox, {
    flexDirection: "column",
    alignItems: "center",
    pt: 32,
    pb: 48,
    "data-testid": "empty-notification",
    "aria-label": "You have no notifications",
    children: [/*#__PURE__*/_jsx(FlexBox, {
      pb: 16,
      children: /*#__PURE__*/_jsx(Image, {
        "aria-hidden": true,
        width: 80,
        height: 60
      })
    }), /*#__PURE__*/_jsxs(FlexBox, {
      flexDirection: "column",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Text, {
        as: "p",
        mb: 16,
        children: content.text
      }), /*#__PURE__*/_jsx(Text, {
        as: "p",
        children: content.subtext
      })]
    })]
  });
};