import { GamutIconProps } from '@codecademy/gamut-icons';
import * as React from 'react';
import { ButtonProps } from '../Button/shared';
import { ButtonBaseElements } from '../ButtonBase/ButtonBase';
export interface PaginationButtonProps extends Omit<ButtonProps, 'variant'> {
    icon: React.ComponentType<GamutIconProps>;
    variant?: 'stroke' | 'text';
    showButton?: 'shown' | 'hidden';
}
export declare const PaginationButton: React.ForwardRefExoticComponent<Pick<PaginationButtonProps, keyof PaginationButtonProps> & React.RefAttributes<ButtonBaseElements>>;
