function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { theme } from '@codecademy/gamut-styles';
import cx from 'classnames';
import * as React from 'react';
import { Text } from '../Typography';
// eslint-disable-next-line gamut/no-css-standalone
import styles from './styles.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var offsetForEmptyProgress = 290;
var offsetForFullProgress = 10;
var offsetDelta = offsetForEmptyProgress - offsetForFullProgress;
var convertPercentToOffset = function convertPercentToOffset(percent) {
  return offsetForEmptyProgress - Math.floor(offsetDelta * (percent / 100));
};

/**
 * @deprecated
 * This component is deprecated and is no longer supported.
 */

export var RadialProgress = function RadialProgress(_ref) {
  var children = _ref.children,
    className = _ref.className,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 24 : _ref$size,
    duration = _ref.duration,
    value = _ref.value,
    _ref$strokeLinecap = _ref.strokeLinecap,
    strokeLinecap = _ref$strokeLinecap === void 0 ? 'round' : _ref$strokeLinecap,
    _ref$strokeWidth = _ref.strokeWidth,
    strokeWidth = _ref$strokeWidth === void 0 ? 10 : _ref$strokeWidth,
    progressOutlineSize = _ref.progressOutlineSize,
    _ref$progressOutlineC = _ref.progressOutlineColor,
    progressOutlineColor = _ref$progressOutlineC === void 0 ? theme.colors['background-current'] : _ref$progressOutlineC,
    baseColor = _ref.baseColor,
    props = _objectWithoutProperties(_ref, ["children", "className", "size", "duration", "value", "strokeLinecap", "strokeWidth", "progressOutlineSize", "progressOutlineColor", "baseColor"]);
  var startingValue;
  var finalValue;
  var MAX_VIEWABLE_STROKE_WIDTH = 10;
  var strokeWidthParsed = typeof strokeWidth === 'number' ? strokeWidth : parseFloat(strokeWidth);
  var strokeWidthForOutline = 0;
  var circleRadius = 45;
  var viewBox = {
    minX: 0,
    minY: 0,
    width: 100,
    height: 100
  };
  if (progressOutlineSize && !Number.isNaN(strokeWidthParsed)) {
    strokeWidthForOutline = strokeWidthParsed + progressOutlineSize;
  }
  if (!Number.isNaN(strokeWidthParsed) && (strokeWidthParsed > MAX_VIEWABLE_STROKE_WIDTH || strokeWidthForOutline > MAX_VIEWABLE_STROKE_WIDTH)) {
    var largestStrokeWidth = strokeWidthForOutline > strokeWidthParsed ? strokeWidthForOutline : strokeWidthParsed;
    var excessStrokeWidth = largestStrokeWidth - MAX_VIEWABLE_STROKE_WIDTH;
    var halfOfExcessStrokeWidth = excessStrokeWidth / 2;
    viewBox.minX -= halfOfExcessStrokeWidth;
    viewBox.minY -= halfOfExcessStrokeWidth;
    viewBox.width += excessStrokeWidth;
    viewBox.height += excessStrokeWidth;
  }
  if (Array.isArray(value)) {
    startingValue = convertPercentToOffset(value[0]);
    finalValue = convertPercentToOffset(value[1]);
  } else {
    finalValue = startingValue = convertPercentToOffset(value);
  }
  var labelPercent = Array.isArray(value) ? value[1] : value;
  var svgViewBoxStr = "".concat(viewBox.minX, " ").concat(viewBox.minY, " ").concat(viewBox.width, " ").concat(viewBox.height);
  return /*#__PURE__*/_jsxs("figure", {
    className: cx(styles.radialProgress, className),
    style: {
      height: size,
      width: size
    },
    children: [/*#__PURE__*/_jsx(Text, {
      as: "figcaption",
      screenreader: true,
      children: "".concat(labelPercent, "% progress")
    }), /*#__PURE__*/_jsxs("svg", _objectSpread(_objectSpread({
      viewBox: svgViewBoxStr,
      height: size,
      width: size
    }, props), {}, {
      children: [/*#__PURE__*/_jsx("circle", {
        cx: "50",
        cy: "50",
        r: "".concat(circleRadius),
        stroke: baseColor || 'currentColor',
        strokeWidth: strokeWidth,
        fill: "none",
        opacity: baseColor ? '1' : '.2'
      }), progressOutlineSize && strokeWidthForOutline && /*#__PURE__*/_jsx("circle", {
        cx: "50",
        cy: "50",
        r: "".concat(circleRadius),
        stroke: progressOutlineColor,
        strokeWidth: strokeWidthForOutline,
        strokeLinecap: strokeLinecap,
        fill: "none",
        opacity: "1",
        strokeDashoffset: finalValue,
        strokeDasharray: offsetForEmptyProgress,
        transform: "rotate(-90 50 50)",
        children: startingValue !== finalValue && /*#__PURE__*/_jsx("animate", {
          attributeType: "CSS",
          attributeName: "stroke-dashoffset",
          from: startingValue,
          to: finalValue,
          dur: "".concat(duration, "ms"),
          begin: "0",
          fill: "freeze"
        })
      }), /*#__PURE__*/_jsx("circle", {
        cx: "50",
        cy: "50",
        r: "".concat(circleRadius),
        stroke: "currentColor",
        strokeWidth: strokeWidth,
        strokeLinecap: strokeLinecap,
        fill: "none",
        opacity: "1",
        strokeDashoffset: finalValue,
        strokeDasharray: offsetForEmptyProgress,
        transform: "rotate(-90 50 50)",
        children: startingValue !== finalValue && /*#__PURE__*/_jsx("animate", {
          attributeType: "CSS",
          attributeName: "stroke-dashoffset",
          from: startingValue,
          to: finalValue,
          dur: "".concat(duration, "ms"),
          begin: "0",
          fill: "freeze"
        })
      })]
    })), children && /*#__PURE__*/_jsx("div", {
      className: styles.children,
      children: children
    })]
  });
};