/// <reference types="react" />
import { StyleProps } from '@codecademy/variance';
import { TabElementStyleProps } from './props';
export interface TabButtonProps extends StyleProps<typeof tabVariants>, StyleProps<typeof tabStates>, TabElementStyleProps {
}
declare const tabVariants: (props: import("@codecademy/variance/dist/types/config").VariantProps<"variant", false | "block" | "standard"> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
declare const tabStates: (props: Partial<Record<"selected", boolean>> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
export declare const TabButton: import("@emotion/styled").StyledComponent<Pick<any, string | number | symbol> & import("react").RefAttributes<HTMLAnchorElement | HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & TabButtonProps, {}, {}>;
export {};
