import { StyleProps } from '@codecademy/variance';
import { TabsProps as ReachTabsProps } from '@reach/tabs';
import * as React from 'react';
import { TabElementStyleProps } from './props';
import { tabContainerVariants } from './styles';
export interface TabsBaseProps extends StyleProps<typeof tabContainerVariants>, TabElementStyleProps {
}
export interface TabsProps extends TabsBaseProps, Omit<ReachTabsProps, 'orientation' | 'keyboardActivation'> {
}
export declare const Tabs: React.FC<TabsProps>;
