export declare const tagLabelPadding = 8;
export declare const tagLabelFontSize = 14;
export declare const tagBorderRadius = "4px";
export declare const tagBaseStyles: {
    display: string;
    alignItems: string;
    justifyContent: string;
    borderRadius: string;
    height: string;
    width: string;
    maxWidth: string;
};
export declare const colorVariants: (props: import("@codecademy/variance/dist/types/config").VariantProps<"variant", false | "grey" | "default"> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
export declare const tagBg: {
    readonly light: {
        readonly grey: "navy-500";
        readonly default: "navy-900";
    };
    readonly dark: {
        readonly grey: "white-500";
        readonly default: "white";
    };
};
export declare const dismissSharedStyles: {
    display: string;
    alignItems: string;
    justifyContent: string;
    height: string;
    minWidth: string;
};
