import { variant } from '@codecademy/gamut-styles';
export var tagLabelPadding = 8;
export var tagLabelFontSize = 14;
export var tagBorderRadius = '4px';
export var tagBaseStyles = {
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  borderRadius: tagBorderRadius,
  height: '24px',
  width: 'fit-content',
  maxWidth: '100%'
};
export var colorVariants = variant({
  defaultVariant: 'default',
  base: tagBaseStyles,
  variants: {
    "default": {
      color: 'text'
    },
    grey: {
      color: 'white'
    }
  }
});
export var tagBg = {
  light: {
    grey: 'navy-500',
    "default": 'navy-900'
  },
  dark: {
    grey: 'white-500',
    "default": 'white'
  }
};
export var dismissSharedStyles = {
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  height: '100%',
  minWidth: '24px'
};