function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { Circle, ToggleInput, ToggleLabel, ToggleTrack } from './elements';
import { getToggleElementProps } from './utils';
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var Toggle = function Toggle(_ref) {
  var ariaLabel = _ref.ariaLabel,
    _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'input' : _ref$as,
    checked = _ref.checked,
    disabled = _ref.disabled,
    label = _ref.label,
    _ref$labelSide = _ref.labelSide,
    labelSide = _ref$labelSide === void 0 ? 'right' : _ref$labelSide,
    onChange = _ref.onChange,
    onClick = _ref.onClick,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'medium' : _ref$size,
    rest = _objectWithoutProperties(_ref, ["ariaLabel", "as", "checked", "disabled", "label", "labelSide", "onChange", "onClick", "size"]);
  var checkedColor = checked ? 'primary' : 'text-disabled';
  var isButton = as === 'button';
  var toggleProps = getToggleElementProps({
    ariaLabel: ariaLabel,
    as: as,
    checked: checked,
    disabled: disabled,
    label: label,
    onChange: onChange,
    onClick: onClick
  });
  return /*#__PURE__*/_jsxs(ToggleLabel, _objectSpread(_objectSpread({
    htmlFor: toggleProps.id,
    disabled: disabled,
    labelRight: labelSide === 'right'
  }, rest), {}, {
    children: [label && /*#__PURE__*/_jsx(_Fragment, {
      children: label
    }), /*#__PURE__*/_jsxs(ToggleTrack, _objectSpread(_objectSpread({
      bg: checkedColor,
      size: size,
      mr: label && labelSide === 'left' ? 0 : 16,
      ml: label && labelSide === 'right' ? 0 : 16
    }, isButton && toggleProps), {}, {
      children: [!isButton && /*#__PURE__*/_jsx(ToggleInput, _objectSpread({}, toggleProps)), /*#__PURE__*/_jsx(Circle, {
        bg: "white",
        borderColor: "background",
        borderRadius: "50%",
        borderStyle: "solid",
        borderWidth: "1px",
        bottom: "10%",
        left: checked ? '55%' : '5%',
        position: "absolute",
        top: "10%",
        width: "40%"
      })]
    }))]
  }));
};