import { PopoverProps } from '../Popover';
import { ToolTipInlineProps, ToolTipProps } from './types';
export declare const getPopoverAlignment: ({ alignment, }: Pick<ToolTipInlineProps, 'alignment'>) => Pick<PopoverProps, "position" | "align" | "beak">;
export declare const createToolTipVariantFromAlignment: (alignment: string) => {
    '&::after': {};
};
export declare const createVariantsFromAlignments: (array: readonly string[], composeStyleObjectFunc: (alignment: string) => {}) => {
    [k: string]: {};
};
export declare const escapeKeyPressHandler: (event: React.KeyboardEvent<HTMLDivElement>) => void;
export type ToolTipAccessibiltyProps = Pick<ToolTipProps, 'focusable' | 'id'> & {
    isOpenPopoverToolTip?: boolean;
};
export declare const getAccessibilityProps: ({ focusable, id, isOpenPopoverToolTip, }: ToolTipAccessibiltyProps) => {
    role: string | undefined;
    tabIndex: number | undefined;
    'aria-label': string | undefined;
    'aria-labelledby': string;
    'aria-describedby'?: undefined;
} | {
    role: string | undefined;
    tabIndex: number | undefined;
    'aria-label': string | undefined;
    'aria-describedby': string;
    'aria-labelledby'?: undefined;
};
