function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
export var typographyStyleVariants = {
  'title-xxl': {
    fontSize: 64,
    fontWeight: 'title',
    lineHeight: 'title'
  },
  'title-xl': {
    fontSize: 44,
    fontWeight: 'title',
    lineHeight: 'title'
  },
  'title-lg': {
    fontSize: 34,
    fontWeight: 'title',
    lineHeight: 'spacedTitle'
  },
  'title-md': {
    fontSize: 26,
    fontWeight: 'title',
    lineHeight: 'spacedTitle'
  },
  'title-sm': {
    fontSize: 22,
    fontWeight: 'title',
    lineHeight: 'spacedTitle'
  },
  'title-xs': {
    fontSize: 20,
    fontWeight: 'title',
    lineHeight: 'spacedTitle'
  },
  'p-large': {
    fontSize: 18,
    fontWeight: 'base',
    lineHeight: 'base'
  },
  'p-base': {
    fontSize: 16,
    fontWeight: 'base',
    lineHeight: 'base'
  },
  'p-small': {
    fontSize: 14,
    fontWeight: 'base',
    lineHeight: 'base'
  }
};
export var typographyElementVariants = {
  h1: typographyStyleVariants['title-xxl'],
  h2: typographyStyleVariants['title-xl'],
  h3: typographyStyleVariants['title-lg'],
  h4: typographyStyleVariants['title-md'],
  h5: typographyStyleVariants['title-sm'],
  h6: typographyStyleVariants['title-xs'],
  p: _objectSpread(_objectSpread({}, typographyStyleVariants['p-base']), {}, {
    fontSize: 16
  }),
  small: _objectSpread(_objectSpread({}, typographyStyleVariants['p-small']), {}, {
    display: 'inline-block'
  }),
  strong: {
    fontSize: 'inherit',
    fontWeight: 'title',
    display: 'inline-block'
  },
  code: {
    fontFamily: 'monospace',
    display: 'inline-block'
  },
  span: {
    fontSize: 'inherit',
    display: 'inline-block'
  },
  div: {},
  figcaption: {},
  label: {}
};
export var typographyUtilities = {
  truncateLines: [1, 2, 3, 4, 5],
  truncation: ['ellipsis', 'fade'],
  smoothing: [true, false],
  screenreader: [true, false]
};