/// <reference types="react" />
export declare const alertVariants: {
    readonly general: {
        readonly order: 4;
        readonly bg: "blue";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
    readonly success: {
        readonly order: 2;
        readonly bg: "green";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
    readonly error: {
        readonly order: 1;
        readonly bg: "red-600";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
    readonly notice: {
        readonly order: 3;
        readonly bg: "orange";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
    readonly feature: {
        readonly order: 5;
        readonly bg: "blue-300";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
    readonly subtle: {
        readonly bg: "background-hover";
        readonly icon: import("react").ForwardRefExoticComponent<import("@codecademy/gamut-icons").GamutIconProps & import("react").RefAttributes<SVGSVGElement>>;
    };
};
export declare const placementVariants: (props: import("@codecademy/variance/dist/types/config").VariantProps<"placement", false | "inline" | "floating"> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
export interface buttonExistenceObject {
    cta?: boolean;
    onClose?: boolean;
    truncated?: boolean;
}
export declare const getGridTemplateColumns: (buttonExistenceObject: buttonExistenceObject) => string;
