import { ComponentType } from 'react';
import * as React from 'react';
import { FormState } from 'react-hook-form';
import { ButtonProps } from '../Button';
export interface SubmitContextProps {
    loading?: FormStateCallback | boolean;
    disabled?: FormStateCallback | boolean;
}
export type FormStateCallback<Values = {}> = (formState: FormState<Values>) => boolean;
export interface SubmitContextProps {
    loading?: FormStateCallback | boolean;
    disabled?: FormStateCallback | boolean;
}
export interface SubmitButtonProps extends Omit<ButtonProps, 'as'>, SubmitContextProps {
    as?: ComponentType<ButtonProps>;
}
export declare const SubmitButton: React.FC<SubmitButtonProps>;
