import * as React from 'react';
import { Checkbox } from '../../Form/Checkbox';
import { Text } from '../../Typography/Text';
import { jsx as _jsx } from "react/jsx-runtime";
export var SelectControl = function SelectControl(_ref) {
  var disabled = _ref.disabled,
    onSelect = _ref.onSelect,
    rowId = _ref.rowId,
    label = _ref.label,
    _ref$selected = _ref.selected,
    selected = _ref$selected === void 0 ? false : _ref$selected,
    name = _ref.name;
  return /*#__PURE__*/_jsx(Checkbox, {
    disabled: disabled,
    spacing: "tight",
    label: /*#__PURE__*/_jsx(Text, {
      screenreader: true,
      children: label
    }),
    "aria-label": label,
    htmlFor: name,
    name: name,
    checked: selected,
    onChange: function onChange() {
      return onSelect === null || onSelect === void 0 ? void 0 : onSelect({
        rowId: rowId,
        toggle: selected
      });
    }
  });
};