import { DotLoose } from '@codecademy/gamut-patterns';
import { FlexBox } from '../Box';
import { FillButton } from '../Button';
import { Text } from '../Typography';
import { useControlContext } from './hooks/useListControls';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
export var EmptyRows = function EmptyRows() {
  var _useControlContext = useControlContext(),
    onResetQuery = _useControlContext.onResetQuery;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs(FlexBox, {
      bg: "background-current",
      center: true,
      column: true,
      gap: 16,
      left: "calc(50% - 160px)",
      p: 32,
      position: "sticky",
      top: "calc(50% - 92px)",
      width: "320px",
      zIndex: 1,
      children: [/*#__PURE__*/_jsx(Text, {
        variant: "title-sm",
        children: "No Results Found"
      }), /*#__PURE__*/_jsx(Text, {
        variant: "p-base",
        children: "Remove filters to view"
      }), /*#__PURE__*/_jsx(FillButton, {
        onClick: onResetQuery,
        children: "Reset Filters"
      })]
    }), /*#__PURE__*/_jsx(FlexBox, {
      height: 409,
      center: true,
      width: 1,
      children: /*#__PURE__*/_jsx(DotLoose, {
        position: "absolute",
        inset: 0,
        top: -2
      })
    })]
  });
};