import { ReactElement } from 'react';
import { ColProps } from '../../List/elements';
import { IdentifiableKeys } from '..';
import { ColumnConfig } from '../types';
export type MarshaledColProps = Partial<Pick<ColProps, 'showOverflow'>>;
interface DataRow {
    <Row, IdKey extends IdentifiableKeys<Row>, RowIds extends Row[IdKey]>(props: {
        id: RowIds;
        row: Row;
        columns: ColumnConfig<Row>[];
        selected?: boolean;
        expanded?: boolean;
        loading?: boolean;
    } & MarshaledColProps): ReactElement<any, any>;
}
export declare const Row: DataRow;
export declare const DataRow: DataRow;
export {};
