import { ComponentProps } from 'react';
import * as React from 'react';
declare const StyledForm: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any> | undefined;
} & {
    p?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "padding";
        readonly scale: "spacing";
    }>;
    height?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "height";
        readonly transform: (value: string | number) => string | 0;
    }>;
    width?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "width";
        readonly transform: (value: string | number) => string | 0;
    }>;
    alignContent?: "initial" | "inherit" | (string & {}) | "normal" | "-moz-initial" | "revert" | "unset" | "center" | "baseline" | "end" | "start" | "flex-end" | "flex-start" | "stretch" | "space-around" | "space-between" | "space-evenly" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignContent | undefined) | undefined> | undefined;
    alignItems?: "initial" | "inherit" | (string & {}) | "normal" | "-moz-initial" | "revert" | "unset" | "center" | "baseline" | "end" | "start" | "flex-end" | "flex-start" | "self-end" | "self-start" | "stretch" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignItems | undefined) | undefined> | undefined;
    alignSelf?: "initial" | "inherit" | (string & {}) | "normal" | "-moz-initial" | "revert" | "unset" | "center" | "auto" | "baseline" | "end" | "start" | "flex-end" | "flex-start" | "self-end" | "self-start" | "stretch" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.AlignSelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.AlignSelf | undefined) | undefined> | undefined;
    bottom?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "bottom";
        readonly transform: (value: string | number) => string | 0;
    }>;
    columnGap?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "columnGap";
        readonly scale: "spacing";
    }>;
    display?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "display";
    }>;
    flexBasis?: 0 | "initial" | "inherit" | (string & {}) | "content" | "-moz-initial" | "revert" | "unset" | "-moz-max-content" | "-moz-min-content" | "auto" | "fit-content" | "max-content" | "min-content" | "-webkit-auto" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexBasis<import("@codecademy/variance/dist/types/properties").DefaultCSSPropertyValue> | undefined) | undefined> | undefined;
    flexDirection?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "flexDirection";
    }>;
    flexGrow?: "initial" | "inherit" | "-moz-initial" | "revert" | "unset" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexGrow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexGrow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexGrow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexGrow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexGrow | undefined) | undefined> | undefined;
    flexShrink?: "initial" | "inherit" | "-moz-initial" | "revert" | "unset" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexShrink | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexShrink | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.FlexShrink | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.FlexShrink | ((theme: import("@emotion/react").Theme) => import("csstype").Property.FlexShrink | undefined) | undefined> | undefined;
    flexWrap?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "flexWrap";
    }>;
    gridAutoColumns?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridAutoColumns";
    }>;
    gridAutoFlow?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridAutoFlow";
    }>;
    gridAutoRows?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridAutoRows";
    }>;
    gridColumnEnd?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumnEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumnEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumnEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumnEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnEnd | undefined) | undefined> | undefined;
    gridColumnStart?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumnStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumnStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumnStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumnStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumnStart | undefined) | undefined> | undefined;
    gridRowEnd?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRowEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRowEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRowEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRowEnd | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowEnd | undefined) | undefined> | undefined;
    gridRowStart?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRowStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRowStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRowStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRowStart | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRowStart | undefined) | undefined> | undefined;
    gridTemplateAreas?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridTemplateAreas";
    }>;
    gridTemplateColumns?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridTemplateColumns";
    }>;
    gridTemplateRows?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gridTemplateRows";
    }>;
    inset?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "inset";
        readonly properties: readonly ["top", "right", "bottom", "left"];
        readonly transform: (value: string | number) => string | 0;
    }>;
    justifyContent?: "initial" | "inherit" | (string & {}) | "normal" | "left" | "right" | "-moz-initial" | "revert" | "unset" | "center" | "end" | "start" | "flex-end" | "flex-start" | "stretch" | "space-around" | "space-between" | "space-evenly" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifyContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifyContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifyContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifyContent | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyContent | undefined) | undefined> | undefined;
    justifyItems?: "initial" | "inherit" | (string & {}) | "normal" | "left" | "right" | "-moz-initial" | "revert" | "unset" | "center" | "baseline" | "end" | "start" | "flex-end" | "flex-start" | "self-end" | "self-start" | "stretch" | "legacy" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifyItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifyItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifyItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifyItems | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifyItems | undefined) | undefined> | undefined;
    justifySelf?: "initial" | "inherit" | (string & {}) | "normal" | "left" | "right" | "-moz-initial" | "revert" | "unset" | "center" | "auto" | "baseline" | "end" | "start" | "flex-end" | "flex-start" | "self-end" | "self-start" | "stretch" | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.JustifySelf | ((theme: import("@emotion/react").Theme) => import("csstype").Property.JustifySelf | undefined) | undefined> | undefined;
    left?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "left";
        readonly transform: (value: string | number) => string | 0;
    }>;
    maxHeight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "maxHeight";
        readonly transform: (value: string | number) => string | 0;
    }>;
    maxWidth?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "maxWidth";
        readonly transform: (value: string | number) => string | 0;
    }>;
    minHeight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "minHeight";
        readonly transform: (value: string | number) => string | 0;
    }>;
    minWidth?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "minWidth";
        readonly transform: (value: string | number) => string | 0;
    }>;
    opacity?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "opacity";
    }>;
    order?: "initial" | "inherit" | "-moz-initial" | "revert" | "unset" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.Order | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.Order | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.Order | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.Order | ((theme: import("@emotion/react").Theme) => import("csstype").Property.Order | undefined) | undefined> | undefined;
    overflowX?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "overflowX";
    }>;
    overflowY?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "overflowY";
    }>;
    position?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "position";
    }>;
    right?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "right";
        readonly transform: (value: string | number) => string | 0;
    }>;
    rowGap?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "rowGap";
        readonly scale: "spacing";
    }>;
    top?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "top";
        readonly transform: (value: string | number) => string | 0;
    }>;
    verticalAlign?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "verticalAlign";
    }>;
    zIndex?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "zIndex";
    }>;
    border?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "border";
        readonly scale: "borders";
    }>;
    borderBottom?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderBottom";
        readonly scale: "borders";
    }>;
    borderLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderLeft";
        readonly scale: "borders";
    }>;
    borderRadius?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRadius";
    }>;
    borderRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRight";
        readonly scale: "borders";
    }>;
    borderStyle?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderStyle";
    }>;
    borderTop?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderTop";
        readonly scale: "borders";
    }>;
    borderWidth?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderWidth";
    }>;
    flex?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "flex";
    }>;
    gap?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "gap";
        readonly scale: "spacing";
    }>;
    gridArea?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridArea | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridArea | undefined) | undefined> | undefined;
    gridColumn?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumn | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumn | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridColumn | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridColumn | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridColumn | undefined) | undefined> | undefined;
    gridRow?: "initial" | "inherit" | (string & {}) | "-moz-initial" | "revert" | "unset" | "auto" | (number & {}) | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | undefined> | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | import("@codecademy/variance").MediaQueryMap<import("csstype").Property.GridRow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | undefined> | import("@codecademy/variance").MediaQueryArray<import("csstype").Property.GridRow | ((theme: import("@emotion/react").Theme) => import("csstype").Property.GridRow | undefined) | undefined> | undefined;
    overflow?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "overflow";
    }>;
    dimensions?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "width";
        readonly properties: readonly ["width", "height"];
        readonly transform: (value: string | number) => string | 0;
    }>;
    px?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "padding";
        readonly properties: readonly ["paddingLeft", "paddingRight"];
        readonly scale: "spacing";
    }>;
    py?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "padding";
        readonly properties: readonly ["paddingTop", "paddingBottom"];
        readonly scale: "spacing";
    }>;
    pt?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "paddingTop";
        readonly scale: "spacing";
    }>;
    pb?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "paddingBottom";
        readonly scale: "spacing";
    }>;
    pr?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "paddingRight";
        readonly scale: "spacing";
    }>;
    pl?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "paddingLeft";
        readonly scale: "spacing";
    }>;
    m?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "margin";
        readonly scale: "spacing";
    }>;
    mx?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "margin";
        readonly properties: readonly ["marginLeft", "marginRight"];
        readonly scale: "spacing";
    }>;
    my?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "margin";
        readonly properties: readonly ["marginTop", "marginBottom"];
        readonly scale: "spacing";
    }>;
    mt?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "marginTop";
        readonly scale: "spacing";
    }>;
    mb?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "marginBottom";
        readonly scale: "spacing";
    }>;
    mr?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "marginRight";
        readonly scale: "spacing";
    }>;
    ml?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "marginLeft";
        readonly scale: "spacing";
    }>;
    borderX?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "border";
        readonly properties: readonly ["borderLeft", "borderRight"];
        readonly scale: "borders";
    }>;
    borderY?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "border";
        readonly properties: readonly ["borderTop", "borderBottom"];
        readonly scale: "borders";
    }>;
    borderWidthX?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderWidth";
        readonly properties: readonly ["borderLeftWidth", "borderRightWidth"];
    }>;
    borderWidthY?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderWidth";
        readonly properties: readonly ["borderTopWidth", "borderBottomWidth"];
    }>;
    borderWidthLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderLeftWidth";
    }>;
    borderWidthRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRightWidth";
    }>;
    borderWidthTop?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderTopWidth";
    }>;
    borderWidthBottom?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderBottomWidth";
    }>;
    borderRadiusLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRadius";
        readonly properties: readonly ["borderTopLeftRadius", "borderBottomLeftRadius"];
    }>;
    borderRadiusTop?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRadius";
        readonly properties: readonly ["borderTopLeftRadius", "borderTopRightRadius"];
    }>;
    borderRadiusBottom?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRadius";
        readonly properties: readonly ["borderBottomLeftRadius", "borderBottomRightRadius"];
    }>;
    borderRadiusRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRadius";
        readonly properties: readonly ["borderTopRightRadius", "borderBottomRightRadius"];
    }>;
    borderRadiusTopLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderTopLeftRadius";
    }>;
    borderRadiusTopRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderTopRightRadius";
    }>;
    borderRadiusBottomRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderBottomRightRadius";
    }>;
    borderRadiusBottomLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderBottomLeftRadius";
    }>;
    borderStyleX?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderStyle";
        readonly properties: readonly ["borderLeftStyle", "borderRightStyle"];
    }>;
    borderStyleY?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderStyle";
        readonly properties: readonly ["borderTopStyle", "borderBottomStyle"];
    }>;
    borderStyleLeft?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderLeftStyle";
    }>;
    borderStyleRight?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderRightStyle";
    }>;
    borderStyleTop?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderTopStyle";
    }>;
    borderStyleBottom?: import("@codecademy/variance/dist/types/config").Scale<{
        readonly property: "borderBottomStyle";
    }>;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, Pick<React.DetailedHTMLProps<React.FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>, "style" | "title" | "onAnimationStart" | "onDragStart" | "onDragEnd" | "onDrag" | "slot" | "defaultChecked" | "defaultValue" | "suppressContentEditableWarning" | "suppressHydrationWarning" | "accessKey" | "className" | "contentEditable" | "contextMenu" | "dir" | "draggable" | "hidden" | "id" | "lang" | "placeholder" | "spellCheck" | "tabIndex" | "translate" | "radioGroup" | "role" | "about" | "datatype" | "inlist" | "prefix" | "property" | "resource" | "typeof" | "vocab" | "autoCapitalize" | "autoCorrect" | "autoSave" | "itemProp" | "itemScope" | "itemType" | "itemID" | "itemRef" | "results" | "security" | "unselectable" | "inputMode" | "is" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "children" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDragCapture" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "method" | "name" | "target" | "acceptCharset" | "action" | "autoComplete" | "encType" | "noValidate" | keyof React.ClassAttributes<HTMLFormElement>>, {}>;
export type FormProps = ComponentProps<typeof StyledForm>;
export declare const Form: React.FC<FormProps>;
export {};
