export var isMultipleSelectProps = function isMultipleSelectProps(props) {
  return !!props.multiple;
};
export var isSingleSelectProps = function isSingleSelectProps(props) {
  return !props.multiple;
};
export var isOptionGroup = function isOptionGroup(obj) {
  return obj.options !== undefined;
};
export var filterValueFromOptions = function filterValueFromOptions(options, value, optionsAreGrouped) {
  if (optionsAreGrouped) {
    return options.map(function (optionGroup) {
      return optionGroup.options.filter(function (option) {
        return option.value === value || (value === null || value === void 0 ? void 0 : value.includes(option.value));
      });
    }).flat();
  }
  return options.filter(function (option) {
    return option.value === value || (value === null || value === void 0 ? void 0 : value.includes(option.value));
  });
};
export var removeValueFromSelectedOptions = function removeValueFromSelectedOptions(selectedOptions, value) {
  return selectedOptions.filter(function (option) {
    return option.value !== value || !(value !== null && value !== void 0 && value.includes(option.value));
  });
};