import * as React from 'react';
import { UseFormReturn } from 'react-hook-form';
import { BaseFormInputProps, GridFormSelectField } from '../../types';
export interface GridFormSelectInputProps extends BaseFormInputProps {
    field: Omit<GridFormSelectField, 'label'>;
    register: UseFormReturn['register'];
}
export declare const GridFormSelectInput: React.FC<GridFormSelectInputProps>;
