function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/* eslint-disable jsx-a11y/iframe-has-title */

// eslint-disable-next-line gamut/no-css-standalone
import styles from './styles.module.scss';
import { jsx as _jsx } from "react/jsx-runtime";
var YOUTUBE_PATTERN = /youtu(be\.com|\.be)/;
var VIMEO_PATTERN = /player\.vimeo\.com/;
export var Iframe = function Iframe(props) {
  if (props.src && [YOUTUBE_PATTERN, VIMEO_PATTERN].some(function (pattern) {
    return pattern.test(props.src);
  })) {
    var _props$width = props.width,
      width = _props$width === void 0 ? 16 : _props$width,
      _props$height = props.height,
      height = _props$height === void 0 ? 9 : _props$height;
    var ratioPadding = (Math.round(height) / Math.round(width) * 100).toFixed(2);
    var wrapperStyles = {
      paddingBottom: "".concat(ratioPadding, "%")
    };
    return /*#__PURE__*/_jsx("div", {
      className: styles.youtubeVideoWrapper,
      "data-testid": "yt-iframe",
      style: wrapperStyles,
      children: /*#__PURE__*/_jsx("iframe", _objectSpread({}, props))
    });
  }
  return /*#__PURE__*/_jsx("iframe", _objectSpread({}, props));
};