import { find } from 'lodash';
export var isCheckboxParent = function isCheckboxParent(node, type) {
  var _node$children$, _node$children$2, _node$children$2$attr;
  return Boolean(type === 'checkbox' && node.children && ((_node$children$ = node.children[0]) === null || _node$children$ === void 0 ? void 0 : _node$children$.name) === 'input' && ((_node$children$2 = node.children[0]) === null || _node$children$2 === void 0 ? void 0 : (_node$children$2$attr = _node$children$2.attribs) === null || _node$children$2$attr === void 0 ? void 0 : _node$children$2$attr.type) === type);
};
export var isLabelText = function isLabelText(node, type) {
  var _node$prev, _node$prev2, _node$prev2$attribs, _node$parent, _node$parent$children;
  // we are using this text to create the accessible label, so are basically deduplicating it here
  return Boolean((node === null || node === void 0 ? void 0 : (_node$prev = node.prev) === null || _node$prev === void 0 ? void 0 : _node$prev.name) === 'input' && (node === null || node === void 0 ? void 0 : (_node$prev2 = node.prev) === null || _node$prev2 === void 0 ? void 0 : (_node$prev2$attribs = _node$prev2.attribs) === null || _node$prev2$attribs === void 0 ? void 0 : _node$prev2$attribs.type) === type || (node === null || node === void 0 ? void 0 : node.name) === 'p' && (node === null || node === void 0 ? void 0 : (_node$parent = node.parent) === null || _node$parent === void 0 ? void 0 : _node$parent.name) === 'li' && node.parent.children && ((_node$parent$children = node.parent.children[0]) === null || _node$parent$children === void 0 ? void 0 : _node$parent$children.name) === 'input');
};
export var isInput = function isInput(node, type) {
  var _node$attribs;
  return (node === null || node === void 0 ? void 0 : node.name) === 'input' && (node === null || node === void 0 ? void 0 : (_node$attribs = node.attribs) === null || _node$attribs === void 0 ? void 0 : _node$attribs.type) === type;
};
export var getLabel = function getLabel(node) {
  var _node$next, _node$parent2;
  var vanillaLabel = node === null || node === void 0 ? void 0 : (_node$next = node.next) === null || _node$next === void 0 ? void 0 : _node$next.data;
  if (vanillaLabel !== ' ' && vanillaLabel !== '\n') return vanillaLabel;
  var closestParagraphChild = find(node === null || node === void 0 ? void 0 : (_node$parent2 = node.parent) === null || _node$parent2 === void 0 ? void 0 : _node$parent2.children, function (o) {
    return o.name === 'p';
  });
  var labelText = find(closestParagraphChild === null || closestParagraphChild === void 0 ? void 0 : closestParagraphChild.children, function (o) {
    return o.type === 'text';
  });
  return labelText === null || labelText === void 0 ? void 0 : labelText.data;
};