/// <reference types="react" />
import { ButtonBaseElements } from '../ButtonBase/ButtonBase';
import { PaginationButtonProps } from './PaginationButton';
export interface EllipsisButtonProps extends PaginationButtonProps {
    'aria-label': string;
    direction: 'back' | 'forward';
}
export declare const BaseEllipsisButton: import("react").ForwardRefExoticComponent<Pick<EllipsisButtonProps, keyof EllipsisButtonProps> & import("react").RefAttributes<ButtonBaseElements>>;
export declare const EllipsisButton: (props: Pick<EllipsisButtonProps, keyof EllipsisButtonProps> & import("react").RefAttributes<ButtonBaseElements>) => JSX.Element;
