var _paginationBaseStyles;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { states, theme, transitionConcat } from '@codecademy/gamut-styles';
import { templateVariants } from '../Button/shared';
import { ButtonSelectors } from '../ButtonBase/ButtonBase';
var paginationBaseStyles = (_paginationBaseStyles = {
  color: 'text',
  fontSize: 16,
  height: 40,
  mx: 4,
  width: 40
}, _defineProperty(_paginationBaseStyles, ButtonSelectors.ACTIVE, {
  fontWeight: 'title',
  color: 'text'
}), _defineProperty(_paginationBaseStyles, ButtonSelectors.DISABLED, {
  color: 'text-disabled',
  bg: 'transparent'
}), _defineProperty(_paginationBaseStyles, ButtonSelectors.OUTLINE, {
  borderColor: 'text'
}), _defineProperty(_paginationBaseStyles, ButtonSelectors.SHADOW_ACTIVE, {
  opacity: 0
}), _defineProperty(_paginationBaseStyles, ButtonSelectors.SHADOW_HOVER, {
  opacity: 0
}), _paginationBaseStyles);
export var paginationTextVariant = templateVariants(['secondary'], function () {
  var _objectSpread2;
  return _objectSpread(_objectSpread({}, paginationBaseStyles), {}, (_objectSpread2 = {
    borderColor: 'transparent'
  }, _defineProperty(_objectSpread2, ButtonSelectors.ACTIVE, {
    fontWeight: 'title',
    color: 'text',
    bg: 'background-selected'
  }), _defineProperty(_objectSpread2, ButtonSelectors.SHADOW, {
    transition: transitionConcat(['opacity'], 'fast', 'ease-in')
  }), _defineProperty(_objectSpread2, ButtonSelectors.HOVER, {
    transition: transitionConcat(['background-color', 'font-weight'], 'fast', 'ease-in'),
    fontWeight: 'title',
    bg: 'background-selected'
  }), _objectSpread2));
});
export var paginationTextButtonStates = states({
  selected: {
    fontWeight: 'title',
    color: 'text',
    bg: 'background-selected'
  }
});
export var paginationStrokeVariant = templateVariants(['secondary'], function () {
  var _objectSpread3;
  return _objectSpread(_objectSpread({}, paginationBaseStyles), {}, (_objectSpread3 = {}, _defineProperty(_objectSpread3, ButtonSelectors.ACTIVE, {
    borderColor: 'currentColor'
  }), _defineProperty(_objectSpread3, ButtonSelectors.SHADOW, {
    transition: transitionConcat(['opacity', 'border-color'], 'fast', 'ease-in')
  }), _defineProperty(_objectSpread3, '&:hover', {
    transition: transitionConcat(['color', 'font-weight'], 'fast', 'ease-in'),
    fontWeight: 'title',
    // some styles in Reboot.tsx override this for the navigation variant. tl;dr - don't do this <3 web-plat
    color: "".concat(theme.colors.primary, " !important")
  }), _objectSpread3));
});
export var paginationStrokeButtonStates = states({
  selected: {
    fontWeight: 'title',
    color: 'text',
    borderColor: 'currentColor'
  },
  ellipsis: {
    fontWeight: 'title'
  }
});
export var hideOnMobile = {
  _: 'none',
  sm: 'inline-flex'
};