function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useCallback, useEffect, useState } from 'react';
import * as React from 'react';
import { useWindowScroll, useWindowSize } from 'react-use';
import { FocusTrap } from '../FocusTrap';
import { Beak, PatternContainer, PopoverContainer, PopoverPortal, RaisedDiv } from './elements';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
var findScrollingParent = function findScrollingParent(_ref) {
  var parentElement = _ref.parentElement;
  if (parentElement) {
    var _getComputedStyle = getComputedStyle(parentElement),
      overflow = _getComputedStyle.overflow,
      overflowY = _getComputedStyle.overflowY,
      overflowX = _getComputedStyle.overflowX;
    if ([overflow, overflowY, overflowX].some(function (val) {
      return ['scroll', 'auto'].includes(val);
    })) {
      return parentElement;
    }
    return findScrollingParent(parentElement);
  }
  return null;
};
export var Popover = function Popover(_ref2) {
  var animation = _ref2.animation,
    _ref2$align = _ref2.align,
    align = _ref2$align === void 0 ? 'left' : _ref2$align,
    beak = _ref2.beak,
    children = _ref2.children,
    className = _ref2.className,
    _ref2$horizontalOffse = _ref2.horizontalOffset,
    horizontalOffset = _ref2$horizontalOffse === void 0 ? 0 : _ref2$horizontalOffse,
    isOpen = _ref2.isOpen,
    onRequestClose = _ref2.onRequestClose,
    _ref2$outline = _ref2.outline,
    outline = _ref2$outline === void 0 ? false : _ref2$outline,
    skipFocusTrap = _ref2.skipFocusTrap,
    Pattern = _ref2.pattern,
    popoverContainerRef = _ref2.popoverContainerRef,
    _ref2$position = _ref2.position,
    position = _ref2$position === void 0 ? 'below' : _ref2$position,
    role = _ref2.role,
    variant = _ref2.variant,
    targetRef = _ref2.targetRef,
    _ref2$verticalOffset = _ref2.verticalOffset,
    verticalOffset = _ref2$verticalOffset === void 0 ? variant === 'secondary' ? 15 : 20 : _ref2$verticalOffset,
    widthRestricted = _ref2.widthRestricted;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    targetRect = _useState2[0],
    setTargetRect = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    isInViewport = _useState4[0],
    setIsInViewport = _useState4[1];
  var _useWindowSize = useWindowSize(),
    width = _useWindowSize.width,
    height = _useWindowSize.height;
  var _useWindowScroll = useWindowScroll(),
    x = _useWindowScroll.x,
    y = _useWindowScroll.y;
  var getPopoverPosition = useCallback(function () {
    if (!targetRect) return {};
    var positions = {
      above: Math.round(targetRect.top - verticalOffset),
      below: Math.round(targetRect.top + targetRect.height + verticalOffset)
    };
    var alignments = {
      right: Math.round(window.scrollX + targetRect.right + horizontalOffset),
      left: Math.round(window.scrollX + targetRect.left - horizontalOffset)
    };
    return {
      top: positions[position],
      left: alignments[align]
    };
  }, [targetRect, verticalOffset, horizontalOffset, align, position]);
  useEffect(function () {
    var _targetRef$current;
    setTargetRect(targetRef === null || targetRef === void 0 ? void 0 : (_targetRef$current = targetRef.current) === null || _targetRef$current === void 0 ? void 0 : _targetRef$current.getBoundingClientRect());
  }, [targetRef, isOpen, width, height, x, y]);
  useEffect(function () {
    if (!targetRef.current) {
      return;
    }
    var scrollingParent = findScrollingParent(targetRef.current);
    if (!(scrollingParent !== null && scrollingParent !== void 0 && scrollingParent.addEventListener)) {
      return;
    }
    var handler = function handler() {
      var _targetRef$current2;
      setTargetRect(targetRef === null || targetRef === void 0 ? void 0 : (_targetRef$current2 = targetRef.current) === null || _targetRef$current2 === void 0 ? void 0 : _targetRef$current2.getBoundingClientRect());
    };
    scrollingParent.addEventListener('scroll', handler);
    return function () {
      return scrollingParent.removeEventListener('scroll', handler);
    };
  }, [targetRef]);
  useEffect(function () {
    if (targetRect) {
      var inView = targetRect.top >= 0 && targetRect.left >= 0 && targetRect.bottom <= (window.innerHeight || document.documentElement.clientHeight) && targetRect.right <= (window.innerWidth || document.documentElement.clientWidth);
      setIsInViewport(inView);
    }
    if (!isInViewport) onRequestClose === null || onRequestClose === void 0 ? void 0 : onRequestClose();
  }, [targetRect, isInViewport, onRequestClose]);
  var handleClickOutside = useCallback(function (e) {
    var _targetRef$current3;
    /**
     * Allows targetRef to be or contain a button that toggles the popover open and closed.
     * Without this check it would toggle closed then back open immediately.
     */
    if ((_targetRef$current3 = targetRef.current) !== null && _targetRef$current3 !== void 0 && _targetRef$current3.contains(e.target)) return;
    onRequestClose === null || onRequestClose === void 0 ? void 0 : onRequestClose();
  }, [onRequestClose, targetRef]);
  if ((!isOpen || !targetRef) && !animation) return null;
  var contents = /*#__PURE__*/_jsxs(PopoverContainer, _objectSpread(_objectSpread({
    align: align,
    className: className,
    "data-testid": "popover-content-container",
    position: position
  }, popoverContainerRef ? {
    ref: popoverContainerRef
  } : {}), {}, {
    role: role,
    style: getPopoverPosition(),
    tabIndex: -1,
    children: [/*#__PURE__*/_jsxs(RaisedDiv, {
      alignment: (variant === 'primary' || beak) && beak !== 'center' ? 'aligned' : 'centered',
      outline: outline ? 'outline' : 'boxShadow',
      variant: variant,
      widthRestricted: widthRestricted,
      children: [beak && /*#__PURE__*/_jsx(Beak, {
        outline: outline ? 'outline' : 'boxShadow',
        beak: "".concat(position, "-").concat(beak).concat(variant === 'secondary' ? '-sml' : ''),
        "data-testid": "popover-beak",
        size: variant === 'secondary' ? 'sml' : 'lrg'
      }), children]
    }), Pattern && /*#__PURE__*/_jsx(PatternContainer, {
      variant: "".concat(position, "-").concat(align),
      children: /*#__PURE__*/_jsx(Pattern, {
        "data-testid": "popover-pattern"
      })
    })]
  }));
  return /*#__PURE__*/_jsx(PopoverPortal, {
    animation: animation,
    isOpen: Boolean(isOpen && targetRef),
    children: skipFocusTrap ? /*#__PURE__*/_jsx(_Fragment, {
      children: contents
    }) : /*#__PURE__*/_jsx(FocusTrap, {
      allowPageInteraction: true,
      onClickOutside: handleClickOutside,
      onEscapeKey: onRequestClose,
      children: contents
    })
  });
};