function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var popoverAbove = {
  borderRight: 'inherit',
  borderBottom: 'inherit',
  top: 'calc(100% - 10px)'
};
var popoverBelow = {
  borderLeft: 'inherit',
  borderTop: 'inherit',
  top: '-10px'
};
var beakRight = {
  right: '25px'
};
var beakLeft = {
  left: '25px'
};
var beakCenter = {
  left: 'calc(50% - 10px)'
};
var popoverAboveSml = {
  borderRight: 'inherit',
  borderBottom: 'inherit',
  top: 'calc(100% - 8px)'
};
var popoverBelowSml = {
  borderLeft: 'inherit',
  borderTop: 'inherit',
  top: '-8px'
};
var beakRightSml = {
  right: '1.5rem'
};
var beakLeftSml = {
  left: '1.5rem'
};
export var createBeakVariantFromAlignment = function createBeakVariantFromAlignment(alignment) {
  var styleObject = {};
  if (alignment.includes('sml')) {
    if (alignment.includes('above')) {
      styleObject = _objectSpread({}, popoverAboveSml);
    } else {
      styleObject = _objectSpread({}, popoverBelowSml);
    }
    if (alignment.includes('right')) {
      styleObject = _objectSpread(_objectSpread({}, beakRightSml), styleObject);
    } else if (alignment.includes('center')) {
      styleObject = _objectSpread(_objectSpread({}, beakCenter), styleObject);
    } else {
      styleObject = _objectSpread(_objectSpread({}, beakLeftSml), styleObject);
    }
  } else {
    if (alignment.includes('above')) {
      styleObject = _objectSpread({}, popoverAbove);
    } else {
      styleObject = _objectSpread({}, popoverBelow);
    }
    if (alignment.includes('right')) {
      styleObject = _objectSpread(_objectSpread({}, beakRight), styleObject);
    } else if (alignment.includes('center')) {
      styleObject = _objectSpread(_objectSpread({}, beakCenter), styleObject);
    } else {
      styleObject = _objectSpread(_objectSpread({}, beakLeft), styleObject);
    }
  }
  return _objectSpread({}, styleObject);
};
var patternAbove = {
  top: '-8px'
};
var patternBelow = {
  top: '8px'
};
var patternRight = {
  left: '-8px'
};
var patternLeft = {
  left: '8px'
};
export var createPatternVariantFromAlignment = function createPatternVariantFromAlignment(alignment) {
  var styleObject = {};
  if (alignment.includes('above')) {
    styleObject = _objectSpread({}, patternAbove);
  } else {
    styleObject = _objectSpread({}, patternBelow);
  }
  if (alignment.includes('right')) {
    styleObject = _objectSpread(_objectSpread({}, patternRight), styleObject);
  } else {
    styleObject = _objectSpread(_objectSpread({}, patternLeft), styleObject);
  }
  return _objectSpread({}, styleObject);
};