import { CSSObject } from '@codecademy/variance';
import { PopoverPositionConfig, TargetRef } from './types';
export declare const isInView: ({ top, left, bottom, right }: DOMRect) => boolean;
export declare const ALIGN: {
    readonly top: "bottom";
    readonly right: "left";
    readonly bottom: "top";
    readonly left: "right";
};
export declare const getPosition: ({ alignment, container, offset, x, y, invertAxis, }: PopoverPositionConfig) => CSSObject;
export declare const getContainers: (target: TargetRef, inline: boolean | undefined, scroll: {
    x: number;
    y: number;
}) => {
    viewport: DOMRect;
    parent: {
        width: number;
        height: number;
        top: number;
        left: number;
        right: number;
        bottom: number;
    };
} | {
    parent: DOMRect;
    viewport: DOMRect;
};
