import { createContext, useContext, useMemo } from 'react';
export var TabContext = /*#__PURE__*/createContext({});
TabContext.displayName = 'TabContext';
export var TabProvider = TabContext.Provider;
export function useTabContext() {
  var context = useContext(TabContext);
  return context;
}
export function useTab() {
  var _useTabContext = useTabContext(),
    variant = _useTabContext.variant;
  return useMemo(function () {
    return {
      variant: variant
    };
  }, [variant]);
}