import { system } from '@codecademy/gamut-styles';
import { variance } from '@codecademy/variance';
export var TabSelectors;
(function (TabSelectors) {
  TabSelectors["SELECTED"] = "&[data-selected]";
  TabSelectors["HOVER"] = "&:hover";
  TabSelectors["ACTIVE"] = "&:active";
  TabSelectors["FOCUS"] = "&:focus";
  TabSelectors["DISABLED"] = "[disabled], &:disabled, &[aria-disabled='true']";
  TabSelectors["FOCUS_VISIBLE"] = " &:focus-visible";
  TabSelectors["BEFORE"] = "&::before";
})(TabSelectors || (TabSelectors = {}));
export var tabElementBaseProps = variance.compose(system.layout, system.positioning, system.space);