import { ColorModes } from '@codecademy/gamut-styles';
import { ReactNode } from 'react';
import * as React from 'react';
import { ToastProps } from '..';
interface ToasterItem extends Omit<ToastProps, 'onClose'> {
    id: string;
    children?: ReactNode;
}
export type ToasterProps = {
    toasts: ToasterItem[];
    onClose: (id: string) => void;
    colorMode?: ColorModes;
};
export declare const Toaster: React.FC<ToasterProps>;
export {};
