export declare const tooltipBackgroundColor = "background-contrast";
export declare const tooltipArrowHeight = "1rem";
export declare const centerMaxWidth: {
    readonly maxWidth: "8rem";
};
export declare const alignedMaxWidth: {
    readonly maxWidth: "16rem";
};
export declare const topStyles: {
    readonly bottom: "calc(100% + 4px)";
    readonly pb: 12;
};
export declare const topStylesAfter: {
    readonly borderColor: "currentColor";
    readonly borderWidth: "0 1px 1px 0";
    readonly bottom: "0.25rem";
};
export declare const bottomStyles: {
    readonly top: "calc(100% + 4px)";
    readonly pt: 12;
};
export declare const bottomStylesAfter: {
    readonly borderColor: "currentColor";
    readonly borderWidth: "1px 0 0 1px";
    readonly top: "0.25rem";
};
export declare const centerStyles: {
    readonly left: "calc(50% - 4rem)";
    readonly maxWidth: "8rem";
};
export declare const centerStylesAfter: {
    readonly left: "calc(50% - 0.5rem)";
};
export declare const leftStyles: {
    readonly justifyContent: "flex-end";
    readonly left: "calc(50% - 14rem)";
    readonly maxWidth: "16rem";
};
export declare const leftStylesAfter: {
    readonly right: "1.5rem";
};
export declare const rightStyles: {
    readonly left: "calc(50% - 2rem)";
    readonly maxWidth: "16rem";
};
export declare const rightStylesAfter: {
    readonly left: "1.5rem";
};
export declare const toolTipAlignmentVariants: (props: import("@codecademy/variance/dist/types/config").VariantProps<"alignment", string | number | false> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
export declare const toolTipBodyAlignments: (props: import("@codecademy/variance/dist/types/config").VariantProps<"alignment", false | "centered" | "aligned"> & {
    theme?: import("@emotion/react").Theme | undefined;
}) => import("@codecademy/variance").CSSObject;
export declare const toolTipBodyCss: {
    readonly bg: "background-contrast";
    readonly color: "text-accent";
    readonly border: 1;
    readonly boxShadow: "none";
    readonly borderRadius: "3px";
    readonly display: "inline-block";
    readonly fontSize: 14;
    readonly lineHeight: "base";
};
