function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
/**
 * Takes a prop/style configuration and templates the classes
 * to match the styleMaps classes returning a concatenated classname string
 */

export var generateResponsiveClassnames = function generateResponsiveClassnames(config, styleMap) {
  var styleList = [];
  Object.entries(config).forEach(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
      propName = _ref2[0],
      propValue = _ref2[1];
    switch (_typeof(propValue)) {
      case 'number':
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore: Fallthrough case in switch.
      case 'string':
        {
          var mappedClass = styleMap["".concat(propName, "_").concat(propValue, "__xs")];
          if (mappedClass) {
            styleList.push(mappedClass);
          }
        }
      // eslint-disable-next-line @typescript-eslint/ban-ts-comment
      // @ts-ignore: Fallthrough case in switch.
      case 'object':
        {
          if (propValue !== null) {
            Object.entries(propValue).forEach(function (_ref3) {
              var _ref4 = _slicedToArray(_ref3, 2),
                mediaSize = _ref4[0],
                mediaPropValue = _ref4[1];
              var mappedClass = styleMap["".concat(propName, "_").concat(mediaPropValue, "__").concat(mediaSize)];
              if (mappedClass) {
                styleList.push(mappedClass);
              }
            });
          }
        }
      default:
    }
  });
  return styleList;
};